
pfSense Packages - Bug #11874

Squid allows entering an invalid IP address into the Bypass Proxy for These Source IPs field

05/01/2021 04:40 PM - Danilo Zrenjanin

Status: Not a Bug Start date: 05/01/2021

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Squid Estimated time: 0.00 hour

Target version:    

Plus Target Version:  Affected Plus

Version:

 

Affected Version:  Affected

Architecture:

 

Description

In Transparent Mode, Squid will allow entering an invalid IP address into the Bypass Proxy for These Source IPs field. It will not work

as expected after applying the changes. Probably adding an IP address validation check here would be helpful.

History

#1 - 05/01/2021 04:41 PM - Jim Pingle

That field also accepts aliases and (though it's not recommended) hostnames, so it isn't quite that simple.

#2 - 05/02/2021 03:31 AM - Viktor Gurov

works as expected -

192168.44.aa or 888.88.888.8 - is invalid IP, but valid hostname

#3 - 05/03/2021 07:48 AM - Jim Pingle

- Status changed from New to Not a Bug

- Target version deleted (2.6.0)

- Affected Version deleted (2.5.1)
